FastByteBuffer
Keywords: org.p2c2e.util.FastByteBuffer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.util
Class FastByteBuffer

    java.lang.Object
      org.p2c2e.util.FastByteBuffer

public final class FastByteBuffer
extends java.lang.Object

Constructor Summary
`FastByteBuffer(int cap)`

Method Summary
`byte[]` | `array()`
`java.nio.ByteBuffer` | `asByteBuffer()`
`int` | `capacity()`
`void` | `clear()`
`void` | `flip()`
`byte` | `get()`
`void` | `get(byte[] arr, int off)`
`byte` | `get(int pos)`
`int` | `getInt()`
`int` | `getInt(int pos)`
`short` | `getShort()`
`short` | `getShort(int pos)`
`boolean` | `hasRemaining()`
`int` | `limit()`
`void` | `limit(int lim)`
`int` | `position()`
`void` | `position(int pos)`
`void` | `put(byte b)`
`void` | `put(byte[] arr, int off, int len)`
`void` | `put(java.nio.ByteBuffer bb)`
`void` | `put(FastByteBuffer fb)`
`void` | `put(int pos, byte b)`
`void` | `putInt(int i)`
`void` | `putInt(int pos, int i)`
`void` | `putShort(int pos, short s)`
`void` | `putShort(short s)`
`int` | `remaining()`
`void` | `rewind()`
`void` | `send(java.io.OutputStream out)`
`java.nio.ByteBuffer` | `slice()`
`int` | `take(java.io.InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastByteBuffer

    public FastByteBuffer(int cap)

Method Detail

### take

    public int take(java.io.InputStream in)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### send

    public void send(java.io.OutputStream out)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### get

    public void get(byte[] arr,
                    int off)

### get

    public byte get()

### get

    public byte get(int pos)

### getShort

    public short getShort()

### getShort

    public short getShort(int pos)

### getInt

    public int getInt()

### getInt

    public int getInt(int pos)

### put

    public void put(byte[] arr,
                    int off,
                    int len)

### put

    public void put(FastByteBuffer fb)

### put

    public void put(java.nio.ByteBuffer bb)

### put

    public void put(byte b)

### put

    public void put(int pos,
                    byte b)

### putShort

    public void putShort(short s)

### putShort

    public void putShort(int pos,
                         short s)

### putInt

    public void putInt(int i)

### putInt

    public void putInt(int pos,
                       int i)

### array

    public byte[] array()

### capacity

    public int capacity()

### limit

    public int limit()

### limit

    public void limit(int lim)

### position

    public int position()

### position

    public void position(int pos)

### remaining

    public int remaining()

### rewind

    public void rewind()

### hasRemaining

    public boolean hasRemaining()

### flip

    public void flip()

### clear

    public void clear()

### asByteBuffer

    public java.nio.ByteBuffer asByteBuffer()

### slice

    public java.nio.ByteBuffer slice()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD